import java.net.*;
import java.io.*;

public class Servidor {
	public static void main(String[] args) throws Exception {
		System.out.println("Abrindo socket.");
		ServerSocket escuta = new ServerSocket(6666);
		System.out.print("Esperando...");
	 	Socket cliente = escuta.accept();  // espera  
		String c = cliente.getInetAddress().getHostName();
		System.out.println("Cliente de "+c+" conectado!");
		BufferedReader comandos = 
			new BufferedReader(
				new InputStreamReader(
					cliente.getInputStream()
				)
			);
		PrintWriter dados = 
			new PrintWriter(
				new OutputStreamWriter(
					cliente.getOutputStream()
				)
			);
			
		System.out.println("Esperando mensagem...");
		String saudacao = comandos.readLine();
		System.out.println("Mensagem recebida: " + saudacao);
		String end = InetAddress.getLocalHost().getHostName();
		
		ObjetoUtil o = new ObjetoUtil();
		String resultado = o.toUpper(saudacao);
		
		dados.println("Mensagem transformada em " + end + ": " + resultado);
		dados.close();
		cliente.close();
	}
}
